#ifndef ADC_CONTROLLER_H_
#define ADC_CONTROLLER_H_

#define ADC_CHANNEL_V_IN 0
#define ADC_CHANNEL_V_OUT 1
#define ADC_CHANNEL_V_DIFF 2
#define ADC_CHANNEL_V_BAT 3

#define ADC_CHANNEL_V_IN_RANGE 4
#define ADC_CHANNEL_V_OUT_RANGE 5
#define ADC_CHANNEL_V_GND_RANGE 6

int16_t ADC_single_shot(uint16_t channel);

float adc_measure(uint8_t channel, uint8_t num_times);
void attenuate(void);
void adc_measure_interlaced(float result[3], float adc_step[3], uint8_t num_times);
void adc_measure_block(float result[3], float adc_step[3], uint8_t num_times);
//void write_mux(uint8_t channel);
//int16_t read_adc();
//uint16_t read_tresh(uint8_t addr);
//void write_tresh(uint8_t addr,  uint16_t data);

#endif /* ADC_CONTROLLER_H_ */
