#ifndef I2C_H_
#define I2C_H_

#include <inttypes.h>

#define I2C_KBITRATE		1000 // 1000 is about 119 kbps, but touch does not get through
#define I2C_DELAY() _delay_us(1000.0 / I2C_KBITRATE) 
//#define I2C_DELAY() //no delay equals ~ 200 kbps

extern uint8_t I2CError;

uint8_t		I2C_read_byte(uint8_t slave, uint8_t register_address);
uint16_t	I2C_read_word(uint8_t slave, uint8_t register_address);
void		I2C_write_word(uint8_t slave, uint8_t register_address,  uint16_t data);


#endif /* I2C_H_ */
