#ifndef LOG_H_
#define LOG_H_

#include "filter.h"


extern uint32_t cur_abs_index;
extern uint16_t cur_set_index;
extern uint16_t cur_set;

//read flash for previos measurments
void log_init(void);

//add data to end of log
void log_log_data(struct filtered_data * data);

//get logged data at abs_index, return false if index out of bounds
int8_t log_get_data(struct filtered_data * data, uint32_t abs_index);
/*
//get logged data at set_index of set, return false if index out of bounds
int8_t log_get_data(struct filtered_data * data, uint16_t set,uint16_t set_index);
*/
//get logged data at beginning or end of set index set, return false if index out of bounds
int8_t log_get_data_set_boundary(struct filtered_data * data, uint16_t set, uint8_t first);


#endif /* LOG_H_ */
