/*
 * touch_controller.c
 * 
 * Copyright (c) 2012 Hedgehog LLC, www.hedghog.ee/ipho
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files 
 * (the "Software"), to deal in the Software without restriction, 
 * including without limitation the rights to use, copy, modify, merge, 
 * publish, distribute, sublicense, and/or sell copies of the Software, 
 * and to permit persons to whom the Software is furnished to do so, 
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be 
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY 
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 */

#include "touch_controller.h"
#include "i2c.h"
#include "layout.h"

#define TOUCH_CONTROLLER_ADDRESS	0x1B
#define DETECTION_STATUS_MEM_ADDRESS 0x2
#define KEY_STATUS_MEM_ADDRESS	0x3

// configure guard rail and touch interrupt
void touch_controller_init(void)
{
	//TODO configure guard rail
	return;
}

// return which key pressed
uint8_t get_key_status(void){
	return I2C_read_word(TOUCH_CONTROLLER_ADDRESS,DETECTION_STATUS_MEM_ADDRESS);//I2C_read_byte(TOUCH_CONTROLLER_ADDRESS,KEY_STATUS_MEM_ADDRESS);
}
