#ifndef TOUCH_CONTROLLER_H_
#define TOUCH_CONTROLLER_H_

#include <inttypes.h>

#define KEY_GUARD	0x1
#define KEY_NONE	0x40
#define KEY_TRIG	0x2
#define KEY_NEXT	0x4
#define KEY_PREV	0x8
#define KEY_STOP	0x10
#define KEY_START	0x20

// configure guard rail and touch interrupt
void touch_controller_init(void);
// return which key pressed
uint8_t get_key_status(void);

#endif /* TOUCH_CONTROLLER_H_ */
