#ifndef FILTER_H_
#define FILTER_H_

#include <inttypes.h>

struct filtered_data{
	uint16_t set;
	uint32_t abs_index;
	uint16_t set_index;
	uint32_t time;
	float current;
	float voltage;
	float current_der;
	float voltage_der;
}__attribute__((packed));

extern struct filtered_data latest_data;

//initializes filter when starting measurements
void filter_take_first_data(void);
//updates filter with new data from adc
void filter_take_new_data(void);

#endif /* FILTER_H_ */
