#ifndef lcd_controller__
#define lcd_controller__

#include "stdint.h"
#include "lcd_lib.h"
#include "filter.h"
#include "layout.h"
#include "filter.h"

//initializes lcd, clears screen and enables interrupt that writes lcd_buffer to lcd.
void LCD_controller_init(void);

//puts char to lcd_buffer.
void LCD_putchar(char c);

//buffer cursor to i.
void LCD_seek(uint8_t i);

//prints greeting instructions to LCD
void LCD_print_greeting(void);

//prints data to stdout
void LCD_print_data(struct filtered_data * data);

void LCD_mark_buttons(uint8_t b);
#endif
